<?PHP
include('header.php'); 
if(!isset($_GET["view"])) {
?>

<span class='top-bl-s-verh'>Оплачиваемые письма</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
На <span class="seosprint"><?=$sitename ?></span> есть много чего, за что платят реальные деньги: 
просмотр рекламных сайтов, чтение писем, участие в тестах и опросах, а так же выполнение несложных заданий. 
Работа не пыльная и интересная. А вместе с рефераллами - ещё и весьма доходная!
</td></tr>
</table>
<?PHP
}else{ ?>
<span class='top-bl-s-verh'>Оплачиваемые письма</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>		
Внимательно прочитайте письмо рекламодателя. 
Часто в них можно найти нечто совер&#xAD;шен&#xAD;но новое для себя. 
Однако не все письма одинаково правдивы и полезны. Письмо будет засчитано, когда вы правильно 
ответите на контрольный вопрос внизу и просмотрите сайт.
</td></tr>
</table>
<?PHP
}

if(isset($_GET["view"])){
$ident=intval($_GET["view"]);
$sql=mysql_query("SELECT * FROM `seo_paymails` WHERE  id='$ident'");
if(mysql_num_rows($sql)==0){
echo "Пусто!";
include('footer.php');
exit();
}
$row=mysql_fetch_assoc($sql);
?>

<span class="tskblank-title">№ <?=$ident ?> "<?=$row["name"]; ?>"</span>
<div class="textdesc"><?=nl2br(bbcode($row["description"],"html")); ?></div>
	   <?if(isset($_POST["answer"])){
	   $answer = $_POST["answer"];
	   if($answer == md5($row["answer1"])){
	   ?>
<form action='readmail.php' target='_blank'>
<input type='hidden' name='ad' value='<?=$row["id"]; ?>'><center><br />
<input class='button-green' type='submit' title='<?=$row["url"]; ?>' value='Перейти на сайт' style='margin: 0;' />
</center></form>
</div>
<?
include('footer.php'); exit(); 
}

}
?>	

<span class="adv-question"><?=$row["quest"]; ?></span>
	   <form action='' method='post'><div class='blockreply'>
	   <?
$answers = array($row["answer1"],$row["answer2"],$row["answer3"]);
shuffle($answers);
foreach($answers as $value){
echo "<span class='taskquestion'><input type='radio' name='answer' value='".md5($value)."'>".$value."</span><br />";
}
?></div><center>
<input class='button-green' type='submit' title='<?=$row["url"]; ?>' value='Подтвердить' style='margin: 0;height:26px;' />
</center></form>
    
	<?
	
	include('footer.php'); exit();
	} ?>
	
	
         <script type="text/javascript" language="JavaScript">
            var elem = null;
            var oldelem = null;
            function hideserfcompblock(bid) {
                elem = document.getElementById('comp'+bid);
                if (elem.style.display == 'none') {
                    document.forms['comp'].compadsid.value = bid;
                    elem.style.display = '';
                    if (oldelem != null) {
                        oldelem.style.display = 'none';
                    }
                    oldelem = elem;
                } else {
                    elem.style.display = 'none';
                    oldelem = null;
                }
                return false;
            }
            function goserf(eid){
                document.getElementById("adstatus"+eid).className = 'serfimggo';
                return false;
            }
        </script>
    
		 
		  
<?
if(isset($_SESSION["username"]) && isset($_SESSION["password"])) { $tit=""; }else{ $tit="1"; }

$rs = mysql_query("SELECT * FROM seo_paymails WHERE `paused`='0' AND `balance`>price and modered=1 AND `id` NOT IN (SELECT `ident` FROM `seo_paymailsviews` WHERE `fromid`='".$_SESSION["iduser"]."' AND `time`>='".(time()-24*60*60)."') ORDER BY `id` DESC");

if(mysql_num_rows($rs)>0){
?>

		  
<?

	while($row = mysql_fetch_array($rs)){

$highlight=$row["highlight"];
$id=$row["id"];
$description=$row["name"];
$plan=$row["plan"];$elprecio=$row["price"];
$balance=$row["balance"];
$elprecio = round($mpay,3);
$ostatok = intval($balance/$elprecio);
if($ostatok==0) mysql_query("UPDATE seo_paymails set balance<'price',paused=1 where id='$id'") or die(mysql_error());
$last=$_SESSION["iduser"];
$sqle = "SELECT * FROM seo_paymailsviews WHERE fromid='$last' and ident='$id'";
$resulte = mysql_query($sqle);        
$myrow = mysql_fetch_array($resulte);
$time=$myrow['time'];
$urldyn=$row["url"];
$highlight=$row["highlight"];

$crok1 = date(time());
$crok2 = date($time + (24 * 60 * 60));
$cr=date("H:i",$crok2);
$os=$crok2 - $crok1 - (3 * 60 * 60);
$ost=date("H:i:s",$os);

if($crok1 >= $crok2) { $block=0; }else{ $block=1; }
if($block!=1)
{
$symbolsdesc=strlen($description);
if($symbolsdesc>25)
{
$sdesc=$symbolsdesc-5;
$startbut=rand(5,$sdesc);
}else{
$sdesc=$symbolsdesc-3;
$startbut=rand(0,$sdesc);
}
$newdesc=substr($description,0,$startbut);
$newdesc.="<a class='serfgo' href='/readmails.php?view=".$row["id"]."' target='_blank' onclick=\"javascript:goserf(".$row["id"].");\">";
$endbut=$startbut+3;
$frees=substr($description,$startbut,3);
$other=substr($description,$endbut);
$newdesc.="$frees</a>$other";
}else{
$newdesc=$description;
}
?>
<table class='profile5' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
		  <form name='comp' method='post' action=''>
		  <input type='hidden' name='compadsid' value='0'>
		  <input type='hidden' name='abuseid' value='<?=$row["id"]; ?>'>
<tr>
<td width="10%" rowspan="2" align="center">
		  <span id='adstatus<?=$row["id"] ?>' <? if($block==1) { echo "class='mailimgip'"; }else{ ?>
		  class='mailimg<? if($highlight==1) echo "high"; ?>' <? } ?>>
		  </span>
</td>
<td width="80%">
<?=$newdesc ?>
</td>
<td width="10%" colspan="2" align="center"><?if(isset($_SESSION["username"]) && isset($_SESSION["password"])){?><b>
<font color='green'><?=$elprecio ?></font> <small>Руб.</small></b><?}?>
</td>
</tr>
<tr>
<td>
<font size='2' color="#9d9d9d">
<? if($block==0){
echo $row["quest"]; ?><a style="text-decoration: none; cursor: help" title="Осталось визитов">
<font size='1' color="green">(<?=intval($balance/$elprecio) ?>)</font></a><?
}else{ if($row["many"]==1) { echo "До просмотра письма осталось $ost"; }else{ echo "Повторный просмотр письма запрещён рекламодателем"; } }
?>
</font>
		  <?
		  if(mysql_num_rows(mysql_query("SELECT * FROM `user_zal` WHERE `link_id`='".$row["id"]."' AND `user`='".$_SESSION["iduser"]."'"))==0 and isset($_SESSION["iduser"])){
		  ?>
		  <div id='comp<?=$row["id"] ?>' class='addcomplaintblock' style='display: none;'>
		  Что не так в этой ссылке? Вирусы? Порнография? Разрушение таймера?
		  <br />
		  <input type='hidden' name='ident' value='<?=$row["id"] ?>'>
		  <input type='text' name='abuse' maxlength='80' value='' />
		  <input class='complaintbutton' type='submit' value='Отправить' />
		  </div><? } ?>
</td>
<td class="ad-varius" align="center">
<noindex><a class='workvir' href='http://online.us.drweb.com/result/?url=<?=$row["url"] ?>' title='Проверить ссылку на вирусы' target='_blank' rel="nofollow"></a></noindex>
</td>
</tr>
</form>
</table>
<?
}?>
  
		  <?
}

$rs = mysql_query("SELECT * FROM tb_psevdolinks ORDER BY id DESC");
if(mysql_num_rows($rs)>0) { 
?>
<table class='profile10' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 10px;'>
<tr>
<td><center><? include('inc/rotator.php'); ?></center>
</td>
</tr>
</table>
<?
while($row = mysql_fetch_assoc($rs)) { 
  $id=$row["id"]; 
  $urllink=$row["url"]; 
  $description=$row["description"]; 
  $numdays=$row["numdays"]; 
  $members=$row["members"]; 
  $outside=$row["outside"]; 
  $total=$members+$outside; 
?>	    
<table class='profile111' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
		  <tr><td width='10%' valign='top'>
		  <img src="/img/ad-statushigh.png">
		  </td><td width='90%' valign='top' colspan='2'>		  
		  <a href='<?=$row["url"] ?>' target='_blank'>
		  <?=$description ?>
		  <br />
		  <span class='desctext'>
		  <?=$row["texto"] ?>
		  </span></a></td></tr>
		  </table>
<?
}?> 
		 <?
}
 ?>

</div>
<? include('footer.php'); ?>